Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.security.realm
Class RDBMSPerformanceRealm

    java.lang.Object
      |
      +--weblogic.security.acl.AbstractListableRealm
            |
            +--weblogic.security.acl.AbstractManageableRealm
                  |
                  +--com.bea.p13n.security.realm.RDBMSRealm
                        |
                        +--com.bea.p13n.security.realm.RDBMSPerformanceRealm

public class RDBMSPerformanceRealm
extends RDBMSRealm
implements PortalSearchableRealm, PortalGroupAwareRealm

Created by IntelliJ IDEA. User: teabeau Date: Mar 3, 2004 Time: 3:13:10 PM To change this template use Options | File Templates.

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.security.realm.RDBMSRealm
`delegatePool, maxDelegateTries, poolSize, realmName, textFormatter`

Constructor Summary
`RDBMSPerformanceRealm()`

Method Summary
`protected com.bea.p13n.security.realm.internal.Pool` | `createPool(int size)` Creates a pool of delegates.
`protected RDBMSDelegate` | `getDelegate()`
`java.util.List` | `getGroupNamesForUser(java.lang.String username)` Does an optimized lookup for group membership.
`java.util.Enumeration` | `getGroupUsers(java.lang.String groupName, java.lang.String searchStr, int maxResults)` Does a filtered search for users in a particular group.
`java.lang.String` | `getParentGroupName(java.lang.String groupname)` Does an optimized lookup for group parentage.
`protected java.lang.String` | `getPropertyBundleName()`
`protected java.lang.String` | `getRealmName()`
`java.util.Enumeration` | `getUsers(java.lang.String searchStr, int maxResults)` Does a filtered search for users.

Methods inherited from class com.bea.p13n.security.realm.RDBMSRealm
`authUserPassword, deleteGroup, deleteUser, getGroup, getGroupGroups, getGroupMembers, getGroupMembersInternal, getGroups, getGroupUsers, getPrincipal, getUser, getUserGroups, getUsers, newGroup, newUser, removeDelegate, returnDelegate`

Methods inherited from class weblogic.security.acl.AbstractManageableRealm
`deleteAcl, deletePermission, newAcl, newPermission, setPermission`

Methods inherited from class weblogic.security.acl.AbstractListableRealm
`authCertificates, authenticate, authInternal, authSSLCertificates, getAcl, getAcl, getAclOwner, getAcls, getDelegator, getName, getPermission, getPermissions, getUser, init, load, save, setDelegator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RDBMSPerformanceRealm

    public RDBMSPerformanceRealm()

Method Detail

### getPropertyBundleName

    protected java.lang.String getPropertyBundleName()

  Overrides:
    getPropertyBundleName in class RDBMSRealm

### getRealmName

    protected java.lang.String getRealmName()

  Overrides:
    getRealmName in class RDBMSRealm

### getUsers

    public java.util.Enumeration getUsers(java.lang.String searchStr,
                                          int maxResults)

  Does a filtered search for users.
  Specified by:
    getUsers in interface PortalSearchableRealm

  Parameters:
    `searchStr` - realm specific search String
    `maxResults` - maximum number of results to return
  Returns:
    an Enumeration of UserImpl objects

### getGroupUsers

    public java.util.Enumeration getGroupUsers(java.lang.String groupName,
                                               java.lang.String searchStr,
                                               int maxResults)

  Does a filtered search for users in a particular group.
  Specified by:
    getGroupUsers in interface PortalSearchableRealm

  Parameters:
    `groupName` - the name of the group
    `searchStr` - realm specific search String
    `maxResults` - maximum number of results to return
  Returns:
    an Enumeration of UserImpl objects

### getGroupNamesForUser

    public java.util.List getGroupNamesForUser(java.lang.String username)

  Does an optimized lookup for group membership.
  Specified by:
    getGroupNamesForUser in interface PortalGroupAwareRealm

  Parameters:
    `username` - username
  Returns:
    a List of Strings of the group names

### getParentGroupName

    public java.lang.String getParentGroupName(java.lang.String groupname)

  Does an optimized lookup for group parentage.
  Specified by:
    getParentGroupName in interface PortalGroupAwareRealm

  Parameters:
    `groupname` - groupname
  Returns:
    a String of the parent group, null if does not exist

### createPool

    protected com.bea.p13n.security.realm.internal.Pool createPool(int size)

  Creates a pool of delegates. The objects returned by the pool's factory method must extend the RDBMSDelegate class or the server will not start.

  Parameters:
    `size` - the number of pool instances to maintain
  Overrides:
    createPool in class RDBMSRealm

### getDelegate

    protected RDBMSDelegate getDelegate()

  Overrides:
    getDelegate in class RDBMSRealm

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved